/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.admin.client.reports.form;

import java.io.Serializable;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class ReportingSystemForm implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	protected Long mId;
	protected String mName;
	protected String mHandler;
	/**
	 * @return the reportSysId
	 */
	public Long getId() {
		return mId;
	}
	/**
	 * @param reportSysId the reportSysId to set
	 */
	public void setId(Long reportSysId) {
		this.mId = reportSysId;
	}
	/**
	 * @return the reportSysName
	 */
	public String getName() {
		return mName;
	}
	/**
	 * @param reportSysName the reportSysName to set
	 */
	public void setName(String reportSysName) {
		this.mName = reportSysName;
	}
	/**
	 * @return the reportSysHandler
	 */
	public String getHandler() {
		return mHandler;
	}
	/**
	 * @param reportSysHandler the reportSysHandler to set
	 */
	public void setHandler(String reportSysHandler) {
		this.mHandler = reportSysHandler;
	}
}
