/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.admin.client.scheduling.form;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;


/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class JobDeclarationForm implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	protected Long mId;
	protected String mName;
	protected String mClassName;
	protected Set<JobDeclarationParamForm> mParams = new HashSet<JobDeclarationParamForm>();
	/**
     * @return the id
     */
    public Long getId()
    {
    	return mId;
    }
	/**
     * @param id the id to set
     */
    public void setId(Long id)
    {
    	mId = id;
    }
	/**
     * @return the name
     */
    public String getName()
    {
    	return mName;
    }
	/**
     * @param name the name to set
     */
    public void setName(String name)
    {
    	mName = name;
    }
	/**
     * @return the className
     */
    public String getClassName()
    {
    	return mClassName;
    }
	/**
     * @param className the className to set
     */
    public void setClassName(String className)
    {
    	mClassName = className;
    }
	/**
     * @return the params
     */
    public Set<JobDeclarationParamForm> getParams()
    {
    	return mParams;
    }
	/**
     * @param params the params to set
     */
    public void setParams(Set<JobDeclarationParamForm> params)
    {
    	mParams = params;
    }
}
