/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.admin.client.scheduling.form;

import java.io.Serializable;

import org.appspy.admin.client.reports.form.ReportParamChooserForm;


/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class JobDeclarationParamForm implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	protected Long mId;
	protected String mName;
	protected ReportParamChooserForm mChooser;
	protected JobDeclarationForm mJobDeclaration;
	/**
     * @return the id
     */
    public Long getId()
    {
    	return mId;
    }
	/**
     * @param id the id to set
     */
    public void setId(Long id)
    {
    	mId = id;
    }
    
	/**
     * @return the name
     */
    public String getName()
    {
    	return mName;
    }
	/**
     * @param name the name to set
     */
    public void setName(String name)
    {
    	mName = name;
    }
	/**
     * @return the chooser
     */
    public ReportParamChooserForm getChooser()
    {
    	return mChooser;
    }
	/**
     * @param chooser the chooser to set
     */
    public void setChooser(ReportParamChooserForm chooser)
    {
    	mChooser = chooser;
    }
	/**
     * @return the jobDeclaration
     */
    public JobDeclarationForm getJobDeclaration()
    {
    	return mJobDeclaration;
    }
	/**
     * @param jobDeclaration the jobDeclaration to set
     */
    public void setJobDeclaration(JobDeclarationForm jobDeclaration)
    {
    	mJobDeclaration = jobDeclaration;
    }
}
