/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.admin.client.settings.form;

import java.io.Serializable;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class ApplicationForm implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	protected Long mId;
	protected String mCode;
	protected String mName;
	
	/**
	 * @return the applicationId
	 */
	public Long getId() {
		return mId;
	}
	/**
	 * @param applicationId the applicationId to set
	 */
	public void setId(Long applicationId) {
		this.mId = applicationId;
	}
	/**
	 * @return the applicationCode
	 */
	public String getCode() {
		return mCode;
	}
	/**
	 * @param applicationCode the applicationCode to set
	 */
	public void setCode(String applicationCode) {
		this.mCode = applicationCode;
	}
	/**
	 * @return the applicationName
	 */
	public String getName() {
		return mName;
	}
	/**
	 * @param applicationName the applicationName to set
	 */
	public void setName(String applicationName) {
		this.mName = applicationName;
	}

}
